#
# spec file for package xlogmaster (Version 1.6.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gpp gtk gtk-devel libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xlogmaster
Copyright:    GPL
Group:        X11/Utilities
Provides:     xlogmas
Obsoletes:    xlogmas 
Autoreqprov:  on
Version:      1.6.0
Release:      138
Summary:      Watch various logfiles
URL:          http://www.gnu.org/software/xlogmaster/xlogmaster.html
Source:       ftp://ftp.gnu.org/pub/gnu/xlogmaster/xlogmaster-%{version}.tar.gz
BUildRoot:    %{_tmppath}/%{name}-build
Patch:	      xlogmaster-alpha.diff	

%description
Displays logfiles under X, configurable via a popup menu to select which files
to watch and to choose tail/cat mode.

Authors:
--------
    Georg Greve <greve@gnu.org>

SuSE series: xap

%prep
%setup
%patch -p1

%build
%{suse_update_config}
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--with-xlogmaster-lib=/usr/share/xlogmaster \
	--with-xlogmaster-home=/usr/share/xlogmaster \
	--with-xlogmaster-db=/usr/share/xlogmaster/database \
	--mandir=%{_mandir} --infodir=%{_infodir}
make

%install
make	DESTDIR=$RPM_BUILD_ROOT \
	XLM_DB=$RPM_BUILD_ROOT/usr/share/xlogmaster/database \
	XLM_HOME=$RPM_BUILD_ROOT/usr/share/xlogmaster \
	XLM_LIB=$RPM_BUILD_ROOT/usr/share/xlogmaster \
		install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc TODO README ChangeLog NEWS
/usr/bin/xlogmaster
%doc %{_infodir}/xlogmaster.info*
%doc %{_mandir}/man1/xlogmaster.1*
/usr/share/xlogmaster/

%changelog -n xlogmaster
* Wed Jul 11 2001 - sf@suse.de
- added suse_update_config
- added patch to build with gcc-3.01
* Fri Nov 24 2000 - vinil@suse.cz
- renamed from xlogmas to xlogmaster
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Tue May 02 2000 - vinil@suse.cz
- buildroot added
* Wed Jan 26 2000 - ro@suse.de
- man,info to /usr/share using macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Tue Apr 06 1999 - ro@suse.de
- update to 1.6.0
* Tue Jan 12 1999 - uli@suse.de
- fixed loose link in /usr/share/xlogmaster
* Tue Nov 17 1998 - ro@suse.de
- update to 1.5.3 with disabled database
* Mon Jul 06 1998 - ro@suse.de
- initial version 1.0b
